Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 58231 - 4.0 web project cannot be added to Enterprise application
4.0 web project cannot be added to Enterprise application
Status: CLOSED FIXED
Product: javaee
Classification: Unclassified
Component: Web Project
4.x
All All
: P2 (vote)
: 5.x
Assigned To: Radko Najman
issues@javaee
: RELNOTE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-22 15:30 UTC by zikmund
Modified: 2006-03-24 13:03 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description zikmund 2005-04-22 15:30:34 UTC
Build 200504211930

1) Open 4.0 Web Project
2) Resolve all broken references (Includes Upgrading project)
ERROR:
  see nbproject/project.properties for missing values:
    build.ear.classes.dir=${build.ear.web.dir}/WEB-INF/classes
    build.ear.web.dir=${build.dir}/ear-module
    war.ear.name=WebApplication1.war
3) Add web app to enterprise application
4) Clean and Build Enterprise application
5) ERROR

Workaround is: create Web Application with Existing Sources.
Comment 1 Radko Najman 2005-04-25 17:40:54 UTC
There is a need to add properties mentioned in previous comment.
Comment 2 zikmund 2005-04-26 11:58:46 UTC
Should be part of 4.1 ReleaseNotes together with issue 58230.
Comment 3 Radko Najman 2005-04-26 16:01:30 UTC
Fixed.

/cvs/web/project/src/org/netbeans/modules/web/project/UpdateHelper.java,v  <-- 
UpdateHelper.java
new revision: 1.18; previous revision: 1.17
Comment 4 zikmund 2005-05-25 15:31:11 UTC
Verified in 200505250639.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo